Website Input - Feature #1323

Render content running Javascript
05/03/2016 08:54 PM - Luke Murphey

Status: Closed Start date: 05/03/2016
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 3.0

Description

This could be done using selenium. | have confirmed that Selenium can be imported and executed directly without install (from

https://pypi.python.org/pypi/selenium).

Subtasks:

Task # 1324: Add web-driver to app

Task # 1325: Add function in modular input abstract out the processing of the web-reque...
Feature # 1351: Add proxy support for browser rendering

Task # 1355: Get authentication to work

Task # 1356: Update configuration page with browser selection options (and make preview...

Closed
Closed
Closed
Closed
Closed

Related issues:
Related to Website Input - Feature #1353: Add abiity to use a Selenium server

New

05/24/2016

History

#2 - 05/03/2016 10:19 PM - Luke Murphey
Here is the script | used:

from selenium import webdriver
browser = webdriver.Firefox ()

browser.get ('http://textcritical.net/works")

import time
time.sleep (3)

tags = browser.find_elements_by_css_selector ("table")
for t in tags:
print t.text

#browser.page_source

browser.close ()

#3 - 05/04/2016 06:53 PM - Luke Murphey

See https://automatetheboringstuff.com/chapteri1/

05/01/2024

1/3



https://pypi.python.org/pypi/selenium
https://automatetheboringstuff.com/chapter11/

#4 - 05/04/2016 06:54 PM - Luke Murphey

- Target version set to 2.1

#5 - 05/20/2016 07:52 AM - Luke Murphey

http://stackoverflow.com/questions/7861775/python-selenium-accessing-html-source

#6 - 05/20/2016 07:52 AM - Luke Murphey

Looks like | need to use:

webdriver.execute_script ("return document.documentElement.outerHTML")

http://stackoverflow.com/questions/26584215/selenium-page-source-does-not-return-modified-dom-tree

#7 - 05/22/2016 03:31 AM - Luke Murphey

Need to have some method of knowing when content is ready. Options include:
1. When document.ready is called
2. When the selector matches
3.0n a timeout

See http://www.obeythetestinggoat.com/how-to-get-selenium-to-wait-for-page-load-after-a-click.html

http://stackoverflow.com/questions/11001030/how-i-can-check-whether-a-page-is-loaded-completely-or-not-in-web-driver/1100206 1411002061

#8 - 05/24/2016 06:58 AM - Luke Murphey

Apparently, IE and Chrome need another driver:

e https:/github.com/SeleniumHQ/selenium/wiki/InternetExplorerDriver
e https://sites.google.com/a/chromium.org/chromedriver/downloads

I might be able to get the Chrome driver to work by just including the binaries in the app (
http://stackoverflow.com/questions/13724778/how-to-run-selenium-webdriver-test-cases-in-chrome).

#9 - 05/24/2016 06:59 AM - Luke Murphey

- Target version changed from 2.1 to 3.0

#10 - 05/24/2016 07:14 AM - Luke Murphey
Need to get:

® response code
¢ encoding
#11 - 05/24/2016 08:52 PM - Luke Murphey

(index=* sourcetype=web_input) OR (index=_internal sourcetype=web_input¥*)

#12 - 05/24/2016 08:53 PM - Luke Murphey

Need to make sure the browser parameter down to the args. Crawling might not work yet.

#13 - 05/24/2016 09:07 PM - Luke Murphey
- Related to Feature #1353: Add abiity to use a Selenium server added

#14 - 05/25/2016 09:12 PM - Luke Murphey

- Status changed from New to Closed
